<?php
/**
 * Random  image gallery with pretty photo zoom
 *
 * @package Random  image gallery with pretty photo zoom
 * @subpackage Random  image gallery with pretty photo zoom
 * @version   1.0 December, 2012
 * @author    Gopi http://www.gopiplus.com
 * @copyright Copyright (C) 2010 - 2011 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');

// get a parameter from the module's configuration

$folder	= modRandomImageWithPrettyPhotoZoom::getFolder($params);
$images	= modRandomImageWithPrettyPhotoZoom::getImages($params, $folder);

if (!count($images)) 
{
	echo JText::_('NO IMAGES ' . $folder . '<br><br>');
	return;
}

require JModuleHelper::getLayoutPath('mod_random_image_gallery_with_pretty_photo_zoom', $params->get('layout', 'default'));
modRandomImageWithPrettyPhotoZoom::loadScripts($params);
?>