<?php
/**
 * Random  image gallery with pretty photo zoom
 *
 * @package Random  image gallery with pretty photo zoom
 * @subpackage Random  image gallery with pretty photo zoom
 * @version   1.0 December, 2011
 * @author    Gopi http://www.gopiplus.com
 * @copyright Copyright (C) 2010 - 2011 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	$width	= $params->get('width');
	
	$theme = $params->get('theme');
	
	$LiveSite = JURI::base() . "modules/mod_random_image_gallery_with_pretty_photo_zoom/";
	
	$pickoneArray = array();
	$pickone = rand(0, count($images)-1);
	
	$pickoneArray[0]->name = $images[$pickone]->name;
	$pickoneArray[0]->folder = $images[$pickone]->folder . "\\";
	
	$folderlink = str_replace('\\','/', $pickoneArray[0]->folder);
	
	echo '<div>';
	echo '<a href="'.JURI::base().$folderlink . $pickoneArray[0]->name .'" rel="prettyPhoto" title="">';
	echo '<img src="'.$LiveSite.'crop-random-image.php?AC=YES&DIR='.$pickoneArray[0]->folder.'&IMGNAME='.$pickoneArray[0]->name.'&MAXWIDTH='.$width.'"> ';
	echo '</a>';
	echo '</div>';
}
?>
<script type="text/javascript" charset="utf-8">
  $(document).ready(function(){
    $("a[rel^='prettyPhoto']").prettyPhoto({
overlay_gallery: false, "theme": '<?php echo $theme; ?>', social_tools: false
});
  });
</script>